From 34e26b64c8661b4ff23de26c8d4e095c8e712cc9 Mon Sep 17 00:00:00 2001
From: Remy DeCausemaker <decause@redhat.com>
Date: Mar 06 2016 06:59:02 +0000
Subject: [PATCH 304/1001] Added a default hub for CommOps. Closes #97


---

diff --git a/populate.py b/populate.py
index 4bb1b21..9f1816c 100755
--- a/populate.py
+++ b/populate.py
@@ -12,7 +12,7 @@ session = hubs.models.init(fedmsg_config['hubs.sqlalchemy.uri'], True, True)
 
 users = ['mrichard', 'duffy', 'ryanlerch', 'gnokii', 'nask0',
          'abompard', 'decause', 'ralph', 'lmacken', 'croberts', 'mattdm',
-         'pravins']
+         'pravins', 'keekri', 'linuxmodder', 'bee2502', 'jflory7']
 for username in users:
     fullname = 'Full Name Goes Here'
     openid = '%s.id.fedoraproject.org' % username
@@ -67,6 +67,53 @@ hub.subscribe(session, hubs.models.User.by_openid(session, 'ralph.id.fedoraproje
 
 session.commit()
 
+############## CommOps
+hub = hubs.models.Hub(name='commops', summary='The Fedora Community Operations Team')
+session.add(hub)
+
+widget = hubs.models.Widget(plugin='stats', index=0)
+hub.widgets.append(widget)
+widget = hubs.models.Widget(plugin='rules', index=1,
+                            _config=json.dumps({
+                                'link': 'https://fedoraproject.org/wiki/CommOps',
+                                'schedule_text': None,
+                                'schedule_link': None,
+                                'minutes_link': 'http://meetbot.fedoraproject.org/sresults/?group_id=commops&type=team',
+                            }))
+hub.widgets.append(widget)
+
+widget = hubs.models.Widget(plugin='meetings', index=2,
+                            _config=json.dumps({'calendar': 'commops'}))
+hub.widgets.append(widget)
+
+# Added a hubs about widget
+widget = hubs.models.Widget(plugin='about', index=3,
+                            _config=json.dumps({
+                                "text": "Community + Operations = CommOps",
+                            }))
+hub.widgets.append(widget)
+
+widget = hubs.models.Widget(plugin='cobwebs', index=0, left=True)
+hub.widgets.append(widget)
+widget = hubs.models.Widget(plugin='sticky', index=1, left=True,
+                            _config=json.dumps({
+                                'text': "Bringing more heat and light to Fedora, so you don't have to choose between 'building things' and 'building communities that build things.'",
+                            }))
+hub.widgets.append(widget)
+widget = hubs.models.Widget(plugin='dummy', index=2, left=True)
+hub.widgets.append(widget)
+
+
+# Set up some memberships
+hub.subscribe(session, hubs.models.User.by_openid(session, 'decause.id.fedoraproject.org'), 'owner')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'jflory7.id.fedoraproject.org'), 'member')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'bee2502.id.fedoraproject.org'), 'member')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'keekri.id.fedoraproject.org'), 'member')
+hub.subscribe(session, hubs.models.User.by_openid(session, 'linuxmodder.id.fedoraproject.org'), 'member')
+
+
+session.commit()
+
 ############## Marketing team
 hub = hubs.models.Hub(name='marketing', summary='The Fedora Marketing Team')
 session.add(hub)

